Package com.evopdf

# Enum ViewerFullScreenExitMode

java.lang.Object
java.lang.Enum<ViewerFullScreenExitMode>
com.evopdf.ViewerFullScreenExitMode

All Implemented Interfaces:
  `Serializable`, `Comparable<ViewerFullScreenExitMode>`, `java.lang.constant.Constable`

public enum ViewerFullScreenExitMode extends Enum<ViewerFullScreenExitMode>
Used in `ViewerPreferences` to specify how to display the document on exiting full-screen mode

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `UseNone`
  Neither document outline nor thumbnail images visible
  `UseOC`
  Optional content group panel visible
  `UseOutlines`
  Document outline visible
  `UseThumbs`
  Thumbnail images visible

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static ViewerFullScreenExitMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ViewerFullScreenExitMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UseNone

    public static final ViewerFullScreenExitMode UseNone
    Neither document outline nor thumbnail images visible

  - ### UseOutlines

    public static final ViewerFullScreenExitMode UseOutlines
    Document outline visible

  - ### UseThumbs

    public static final ViewerFullScreenExitMode UseThumbs
    Thumbnail images visible

  - ### UseOC

    public static final ViewerFullScreenExitMode UseOC
    Optional content group panel visible

- ## Method Details

  - ### values

    public static ViewerFullScreenExitMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ViewerFullScreenExitMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()